#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n, a, b, c;
    cin>>n>>a>>b>>c;
    cout << max(max(a, b), c)- min(c, min(a, b)) << endl;
    cout << "1 2 3";
}
